100 REM PROGRAM FOR CALCULATING RELAY ARC-SUPPRESSION COMPONENTS
110 REM FROM EQUATION GIVEN BY J. McALISTER, WA5EKA, IN QST, NOV. 84, P56
120 REM PROGRAM BY D. McGARRETT, 17 DECEMBER 1987
130 REM PROGRAM NAME "RELAYARC.BAS"
140 REM THE CORRECT ANSWER FOR 100 VOLTS AND .O2 uF IS 33 OHMS
150 CLS
160 PRINT"PROGRAM SELECTS COMPONENTS TO SUPPRESS ARCING ACROSS OPENING RELAY CONTACTS."
170 PRINT"EXACT VALUES ARE NOT THAT CRITICAL--USE NEAREST 10% VALUE"
180 PRINT
190 INPUT"WHAT IS THE CIRCUIT VOLTAGE ACROSS THE OPEN RELAY CONTACTS";E
200 INPUT"SELECT A CAPACITOR VALUE, PREFERABLY BETWEEN 0.01 AND 0.1 uF";C
210 R=E/(10*(3.16*SQR(C))^(1+50/E))
220 R=INT(R)
230 PRINT
240 PRINT"USE"R" OHMS IN SERIES WITH A"C" uF CAPACITOR ACROSS THE RELAY CONTACTS"
250 PRINT
260 INPUT"IF YOU DON'T LIKE THIS VALUE, TYPE 1 TO RUN AGAIN. ",Q
270 PRINT
280 IF Q=1 THEN GOTO 200, ELSE GOTO 290
290 END
